KDE kdenetwork resLISa module LOGNAME buffer overflow

kde-kdenetwork-reslisa-bo (10592) The risk level is classified as HighHigh Risk

Description:

The resLISa module is vulnerable to a buffer overflow. By passing an overly long LOGNAME environment variable to the resLISa module, a local attacker could overflow a buffer and gain elevated privileges on the system. These privileges would allow the attacker to gain control of a raw socket that is created during exploitation, which would allow the attacker to sniff network traffic and create malicious traffic on the local network.


Consequences:

Gain Privileges

Remedy:

Upgrade to the latest version of KDE (3.0.5 or later), when it becomes available from the KDE Web site. See References.

—OR—

Upgrade to the latest version of LISa (0.2.2 or later), available from the LISa Web site. See References.

For Debian GNU/Linux 3.0 (woody):
Upgrade to the latest kdenetwork package (2.2.2-14.2 or later), as listed in DSA-193-1. See References.

For Gentoo Linux:
Upgrade versions kde-base/kdelibs-3.0.4 and earlier, as listed in Gentoo Linux Security 200211-004 Announcement. See References.

For Mandrake Linux:
Upgrade to the latest kdenetwork package, as listed below. Refer to MandrakeSoft Security Advisory MDKSA-2002:080 : kdenetwork for more information. See References.

Mandrake Linux 9.0: 3.0.3-15.1mdk or later

For Red Hat Linux:
Upgrade to the latest kde package, as listed below. Refer to Red Hat Security Advisory RHSA-2002:220-40 for more information. See References.

Red Hat Linux 7.2: 2.2.2-3 or later
Red Hat Linux 7.3: 1.0.3-0.7.1 or later
Red Hat Linux 8.0: 3.0.3-8.3 or later

For other distributions:
Contact your vendor for upgrade or patch information.

References:

Platforms Affected:

  • Alexander Neundorf LISa prior to 0.2.2
  • Debian Debian Linux 3.0
  • Gentoo Linux
  • KDE KDE prior to 3.0.5
  • MandrakeSoft Mandrake Linux 9.0
  • RedHat Enterprise Linux 2.1 AS
  • RedHat Linux 7.2
  • RedHat Linux 7.3
  • RedHat Linux 8.0

Reported:

Nov 11, 2002

The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor (IBM Internet Security Systems X-Force) be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.

For corrections or additions please email ignore thisxforceignore this@ignore thisus.ignore thisibm.comignore this

Return to the main page